From f1ff6e7b9825fea36a82ca75394dbe8aa13f43d5 Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Tue, 11 Jun 2019 16:06:20 -0500
Subject: [PATCH 1/6] New package: metasploit-framework

---
 srcpkgs/metasploit-framework/template | 31 +++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 srcpkgs/metasploit-framework/template

diff --git a/srcpkgs/metasploit-framework/template b/srcpkgs/metasploit-framework/template
new file mode 100644
index 00000000000..b2c3abc5c1e
--- /dev/null
+++ b/srcpkgs/metasploit-framework/template
@@ -0,0 +1,31 @@
+# Template file for 'metasploit-framework'
+pkgname=metasploit-framework
+version=5.0.29+20190611142845
+revision=1
+archs="x86_64"
+short_desc="Security testing framework"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="BSD-3-Clause"
+homepage="https://rapid7.com"
+distfiles="http://downloads.metasploit.com/data/releases/metasploit-framework/apt/pool/main/m/metasploit-framework/metasploit-framework_${version}~1rapid7-1_amd64.deb"
+checksum=6da0b7b69c126f6628d4c7f6c3418ee21d518acc03392babf3becedb2c4464fb
+nopie=yes
+nostrip=yes
+noverifyrdeps=yes
+
+do_extract() {
+	ar x ${XBPS_SRCDISTDIR}/${pkgname}-${version}/${pkgname}_${version}~1rapid7-1_amd64.deb
+	tar xf data.tar.gz
+	rm -f opt/metasploit-framework/bin/msfupdate
+}
+
+do_install() {
+	cp -r opt ${DESTDIR}
+	for i in opt/metasploit-framework/bin/*; do
+		vbin ${i}
+	done
+}
+
+post_install() {
+	vlicense opt/metasploit-framework/LICENSE
+}

From 409c50c961c865efa97364a2d1814e8c221ab57b Mon Sep 17 00:00:00 2001
From: Rasmus Thomsen <rasmus.thomsen@protonmail.com>
Date: Sat, 16 Feb 2019 16:56:48 +0100
Subject: [PATCH 2/6] New package: graphene-1.8.2

---
 common/shlibs | 1 +
 1 file changed, 1 insertion(+)

diff --git a/common/shlibs b/common/shlibs
index 5033d3537bb..7271ca545ed 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3478,3 +3478,4 @@ libflite_cmulex.so.1 flite-2.1_1
 libgtk-4.so.0.9400.0 gtk4-3.94.0_1
 libmodule.so.4 libmodule-4.1.0_1
 libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
+libgraphene-1.0.so.0 graphene-1.8.2_1

From c457ab2a814d40e97284832b94cfcb891d829c81 Mon Sep 17 00:00:00 2001
From: Rasmus Thomsen <rasmus.thomsen@protonmail.com>
Date: Sat, 16 Feb 2019 16:56:52 +0100
Subject: [PATCH 3/6] New package: gtk4-3.94.0

---
 common/shlibs | 1 +
 1 file changed, 1 insertion(+)

diff --git a/common/shlibs b/common/shlibs
index 7271ca545ed..b09e4049db4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3479,3 +3479,4 @@ libgtk-4.so.0.9400.0 gtk4-3.94.0_1
 libmodule.so.4 libmodule-4.1.0_1
 libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
 libgraphene-1.0.so.0 graphene-1.8.2_1
+libgtk-4.so.0.9400.0 gtk4-3.94.0_1

From 95504361fa538eb610c99675abf9a6ee0715bd98 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 18 May 2019 08:59:30 -0500
Subject: [PATCH 4/6] New package: gnustep-gui-0.27.0

---
 common/shlibs | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/common/shlibs b/common/shlibs
index b09e4049db4..839778e1cbb 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3480,3 +3480,5 @@ libmodule.so.4 libmodule-4.1.0_1
 libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
 libgraphene-1.0.so.0 graphene-1.8.2_1
 libgtk-4.so.0.9400.0 gtk4-3.94.0_1
+libmodule.so.4 libmodule-4.1.0_1
+libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1

From c97c504fa9a69ba97521736a21e60d9f116a2ddf Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Sun, 9 Jun 2019 13:09:39 +0200
Subject: [PATCH 5/6] common/shlibs: add shared libraries for flite

---
 common/shlibs | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/common/shlibs b/common/shlibs
index 839778e1cbb..84801109093 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3479,6 +3479,10 @@ libgtk-4.so.0.9400.0 gtk4-3.94.0_1
 libmodule.so.4 libmodule-4.1.0_1
 libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
 libgraphene-1.0.so.0 graphene-1.8.2_1
+libflite.so.1 flite-2.1_1
+libflite_cmu_us_kal.so.1 flite-2.1_1
+libflite_usenglish.so.1 flite-2.1_1
+libflite_cmulex.so.1 flite-2.1_1
 libgtk-4.so.0.9400.0 gtk4-3.94.0_1
 libmodule.so.4 libmodule-4.1.0_1
 libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1

From 21af9693b90d2029e17ab362b239fc9c0184809f Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Mon, 17 Jun 2019 20:52:03 -0500
Subject: [PATCH 6/6] New package: g810-led-0.3.4

---
 srcpkgs/g810-led-devel    |  1 +
 srcpkgs/g810-led/template | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)
 create mode 120000 srcpkgs/g810-led-devel
 create mode 100644 srcpkgs/g810-led/template

diff --git a/srcpkgs/g810-led-devel b/srcpkgs/g810-led-devel
new file mode 120000
index 00000000000..e96ffa0df4d
--- /dev/null
+++ b/srcpkgs/g810-led-devel
@@ -0,0 +1 @@
+g810-led/
\ No newline at end of file
diff --git a/srcpkgs/g810-led/template b/srcpkgs/g810-led/template
new file mode 100644
index 00000000000..76ebe452a52
--- /dev/null
+++ b/srcpkgs/g810-led/template
@@ -0,0 +1,29 @@
+# Template file for 'g810-led'
+pkgname=g810-led
+version=0.3.4
+revision=1
+archs="noarch"
+build_style=gnu-makefile
+makedepends="hidapi-devel"
+short_desc="LED controller for Logitech G213,410,512,610,810,910,PRO keyboards"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="GPL-3.0-or-later"
+homepage="https://github.com/MatMoul/g810-led/"
+distfiles="https://github.com/MatMoul/g810-led/archive/v${version}.tar.gz"
+checksum=6737d184fafcadcfd2e86d2cc6c92efb910f4abe97eebf6c52b0de9ab6864972
+
+g810-led-devel_package() {
+	short_desc+=" - development files"
+	depends="${sourcepkg}-${version}_${revision}"
+	pkg_install() {
+		vmkdir usr/lib
+		vcopy "lib/*.so.*" usr/lib
+	}
+}
+
+do_install() {
+	vbin bin/g810-led
+
+	vdoc README.md
+	vdoc INSTALL.md
+}
